name: Run Check Script
on:
  push:
    branches:
      - master
  pull_request:

jobs:
  check:
    runs-on: docker
    container:
      image: hub.nationtech.io/harmony/harmony_composer:latest
    steps:
      - name: Checkout code
        uses: actions/checkout@v4

      - name: Run check script
        run: bash check.sh
